#ifndef LOADING_H
#define LOADING_H

#include "gliv.h"
#include "gliv_image.h"
#include "formats.h"

gboolean is_loading(void);
void destroy_image(gliv_image * im);
void install_segv_handler(void);
void fill_ident(gliv_image * im);
const gchar *get_extension(const gchar * filename);
loader_t get_loader(const gchar * filename);
GdkPixbuf *load_gdk_pixbuf_threaded(const gchar * filename);
gliv_image *load_file(const gchar * filename);

#endif
